From 496eb1bf39da5c2c327a3333a607f799dc333a82 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Wed, 21 Jan 2009 11:18:55 +0530
Subject: [PATCH] glibc: Include support for building armv5tel-redhat-linux-gnueabi

Moving Lennert's patches forward

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 glibc.spec |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/glibc.spec b/glibc.spec
index e80100c..6d27b85 100644
--- a/glibc.spec
+++ b/glibc.spec
@@ -25,7 +25,7 @@
 Summary: The GNU libc libraries
 Name: glibc
 Version: 2.9.90
-Release: 22
+Release: 22.fa1
 # GPLv2+ is used in a bunch of programs, LGPLv2+ is used for libraries.
 # Things that are linked directly into dynamically linked programs
 # and shared libraries (e.g. crt files, lib*_nonshared.a) have an additional
@@ -307,8 +307,10 @@ GCC="gcc -m64"
 GXX="g++ -m64"
 %endif
 
+%ifnarch %{arm}
 #BuildFlags="$BuildFlags -DNDEBUG=1 -fasynchronous-unwind-tables"
 BuildFlags="$BuildFlags -fasynchronous-unwind-tables"
+%endif
 EnableKernel="--enable-kernel=%{enablekernel}"
 echo "$GCC" > Gcc
 AddOns=`echo */configure | sed -e 's!/configure!!g;s!\(linuxthreads\|nptl\|rtkaio\|powerpc-cpu\)\( \|$\)!!g;s! \+$!!;s! !,!g;s!^!,!;/^,\*$/d'`
@@ -329,8 +331,14 @@ build_CFLAGS="$BuildFlags -g -O3 $*"
 CC="$GCC" CXX="$GXX" CFLAGS="$build_CFLAGS" ../configure --prefix=%{_prefix} \
 	--enable-add-ons=nptl$AddOns --without-cvs $EnableKernel \
 	--with-headers=%{_prefix}/include --enable-bind-now \
-	--with-tls --with-__thread --build %{nptl_target_cpu}-redhat-linux \
+	--with-tls --with-__thread \
+%ifnarch %{arm}
+        --build %{nptl_target_cpu}-redhat-linux \
 	--host %{nptl_target_cpu}-redhat-linux \
+%else
+        --build %{nptl_target_cpu}-redhat-linux-gnueabi \
+        --host %{nptl_target_cpu}-redhat-linux-gnueabi \
+%endif
 	--disable-profile --enable-experimental-malloc --enable-nss-crypt
 make %{?_smp_mflags} -r CFLAGS="$build_CFLAGS" PARALLELMFLAGS=-s
 
@@ -1020,6 +1028,10 @@ rm -f *.filelist*
 %endif
 
 %changelog
+* Mon Jun 15 2009 Kedar Sovani <kedars@marvell.com> 2.9.90-19.fa1
+ - Include support for buildling on arm*-redhat-linux-gnueabi
+ - include ports
+
 * Mon Apr 27 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-22
 - update from trunk
   - further localedef fixes
-- 
1.5.5.6

